using System;
class HelloWorld {
	static void Main() {
		string[] s= Console.ReadLine().Split(' ');
		int n = int.Parse(s[0]);
		int l = int.Parse(s[1]);
		int rbstalaktita=-1;
		string[] s1= Console.ReadLine().Split(' ');
		for(int i=0; i<n; i++)
		{
			int h = int.Parse(s1[i]);
			if(h<=l)
			{
				rbstalaktita=i+1;
				break;
			}
		}
		Console.WriteLine(rbstalaktita);



	}
}